commit:     e78e28caf724398ebcdda3ea4debb5bf069af663
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Mon May 30 15:33:37 2022 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Mon May 30 15:33:37 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e78e28ca

sys-fs/f2fs-tools: bump to version 1.15.0

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>

 sys-fs/f2fs-tools/Manifest                 |  1 +
 sys-fs/f2fs-tools/f2fs-tools-1.15.0.ebuild | 38 ++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/sys-fs/f2fs-tools/Manifest b/sys-fs/f2fs-tools/Manifest
index b5c7b55ff879..c14b471509d5 100644
--- a/sys-fs/f2fs-tools/Manifest
+++ b/sys-fs/f2fs-tools/Manifest
@@ -1 +1,2 @@
 DIST f2fs-tools-1.14.0.tar.gz 371225 BLAKE2B 
4b015e751ca7a8df8769de7a49afa1351717581d09973537d80780ff83f64db9a6fbf454a9a85d8acb761a8d00443a94d09d83cfaba9e5203c0fd656a96d505a
 SHA512 
951b74178f99722550e73f331be066f124f6ee6022710f6b47ae47390b978b08f12a7f2a268d82ca69a32bf440cd3ce3adddc8a4c49c32df83da87e7f659f98d
+DIST f2fs-tools-1.15.0.tar.gz 387663 BLAKE2B 
1e55f87c839cee6431d9a83e9786201e9b6b872be27c8b92854b30b0fd1c651a9b7235ce93e70c530bfa7a4e9f4dfd309c72702b3338a4aa96e365b29424fb1d
 SHA512 
61e40f16296091b55cec2dbdc6306af6abc2d3f854f39ef03a741b7f6f47348f915498375789f017f8da27fa7d27c79c905dd047693518adde503ea7ebf89387

diff --git a/sys-fs/f2fs-tools/f2fs-tools-1.15.0.ebuild 
b/sys-fs/f2fs-tools/f2fs-tools-1.15.0.ebuild
new file mode 100644
index 000000000000..5cda3fe17880
--- /dev/null
+++ b/sys-fs/f2fs-tools/f2fs-tools-1.15.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Tools for Flash-Friendly File System (F2FS)"
+HOMEPAGE="https://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/about/";
+SRC_URI="https://git.kernel.org/pub/scm/linux/kernel/git/jaegeuk/${PN}.git/snapshot/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0/9"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~x86"
+IUSE="selinux"
+
+RDEPEND="
+       selinux? ( sys-libs/libselinux )
+       elibc_musl? ( sys-libs/queue-standalone )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       #This is required to install to /sbin, bug #481110
+       econf \
+               --bindir="${EPREFIX}"/sbin \
+               --disable-static \
+               $(use_with selinux)
+}
+
+src_install() {
+       default
+       find "${D}" -name "*.la" -delete || die
+}

Reply via email to